/*  $VER: AMPlifier MP3 Stream 1.0 (25.02.2001) */
/*  Fixed for IBrowse 2 by Oliver Roberts (19.5.2001) */

OPTIONS RESULTS
OPTIONS FAILAT 21
PARSE ARG file


/* Enter here path and AREXX-Port from AMPlifier */
/* Hier den Pfad und AREXX-Port von AMPlifier eintragen */

amplifier_app  = "SYS:Utilities/AMPlifier/AMPlifier"
amplifier_port = "AMPLIFIER.1"


/* Start Amplifier */

IF ~SHOW("PORT", amplifier_port) THEN DO
  IF ~EXISTS(amplifier_app) THEN DO
    SAY "Couldn't find AMPlifier!"
    EXIT
  END
  ADDRESS COMMAND "RUN >NIL: "amplifier_app
  ADDRESS COMMAND "SYS:Rexxc/WaitForPort "amplifier_port
END

IF ~SHOW("PORT", amplifier_port) THEN DO
  SAY "Couldn't start AMPlifier!"
  EXIT
END

/* Simple filetype recognition */

extension = '.pls'  /* default */

if open(THEFILE,file,'R') then do
   firstline = readln(THEFILE)
   if (word(firstline,1) = '[playlist]') then do
      extension = '.pls'
   end
   else if (word(firstline,1) = '#EXTM3U') then do
      extension = '.m3u'
   end
   close(THEFILE)
end

/* Rename file */

newname = file || extension

ADDRESS COMMAND 'c:copy >NIL: "' || file || '" "' || newname || '"'

/* Add file and start playback */

ADDRESS VALUE amplifier_port

STOP
CLEAR
ADD newname PLAY

ADDRESS COMMAND 'c:delete >NIL: QUIET "' || newname || '"'
